package com.dcsoft.system.kq.domain;

import java.util.Date;

import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.dcsoft.common.core.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 月汇总对象 kq_gather_month
 *
 * @author dcsoft
 * @date 2023-08-01
 */
public class KqGatherMonth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 汇总id */
    private Long id;

    /** 关联考勤组 */
    private Long groupId;

    /** 关联考勤班次 */

    private Long classesId;

    /** 部门ID */
    private Long branchId;

    /** 考勤人员ID */
    private Long peopleId;

    /** 工号 */
    @Excel(name = "工号",sort =5)
    private String gh;

    /** 姓名 */
    @Excel(name = "姓名",sort =4)
    private String name;

    /** 入职时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职时间", width = 30, dateFormat = "yyyy-MM-dd",sort =6)
    private Date joinTime;

    /** 应出勤时间 */
    @Excel(name = "应出勤时间",sort =7)
    private Long ycqsj;

    /** 实际出勤天数 */
    @Excel(name = "实际打卡天数",sort =8)
    private Long sjcqsj;

    /** 病假 */
    @Excel(name = "病假",sort =9)
    private Double bj;

    /** 事假 */
    @Excel(name = "事假",sort =10)
    private Double sj;

    /** 调休 */
    @Excel(name = "调休",sort =11)
    private Double tx;

    /** 年假 */
    @Excel(name = "年假",sort =12)
    private Double nj;

    /** 婚假 */
    @Excel(name = "婚假",sort =13)
    private Double hj;

    /** 婚假 */
    @Excel(name = "陪产假",sort =14)
    private Double pcj;

    @Excel(name = "产假",sort =15)
    private Double cj;

    @Excel(name = "出差",sort =16)
    private Double cc;

    @Excel(name = "丧假",sort =17)
    private Double sanj;

    @Excel(name = "工伤",sort =18)
    private Double gs;

    /** 平时加班（h） */
    @Excel(name = "平时加班" ,sort =19)
    private Long psjb;

    /** 周末加班（h） */
    @Excel(name = "周末加班",sort =20)
    private Long zmjb;

    /** 加班天数 */
    @Excel(name = "加班天数",sort =21)
    private Long jbts;

    /** 迟到分钟 */
    @Excel(name = "迟到分钟",sort =22)
    private Long cdfz;

    /** 早退分钟 */
    @Excel(name = "早退分钟",sort =23)
    private Long ztfz;


    /** 缺卡次数 */
    @Excel(name = "缺卡次数",sort =24)
    private Long qkcs;

    /** 补卡次数 */
    @Excel(name = "补卡次数",sort =25)
    private Long bkcs;

    /** 汇总 */
    @Excel(name = "汇总",sort =26)
    private Double hz;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd",sort =27)
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd",sort =28)
    private Date endTime;

    @Excel(name = "班次",sort =3)
    private String classesName;
    @Excel(name = "部门",sort =1)
    private String branchName;
    @Excel(name = "考勤组",sort = 2)
    private String groupName;

    /**
     * 部门父级id
     */
    private String parentId;

    /**
     * 休假数
     */
    private String furloughSum;

    public String getFurloughSum() {
        return furloughSum;
    }

    public void setFurloughSum(String furloughSum) {
        this.furloughSum = furloughSum;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setGroupId(Long groupId)
    {
        this.groupId = groupId;
    }

    public Long getGroupId()
    {
        return groupId;
    }
    public void setClassesId(Long classesId)
    {
        this.classesId = classesId;
    }

    public Long getClassesId()
    {
        return classesId;
    }
    public void setBranchId(Long branchId)
    {
        this.branchId = branchId;
    }

    public Long getBranchId()
    {
        return branchId;
    }
    public void setPeopleId(Long peopleId)
    {
        this.peopleId = peopleId;
    }

    public Long getPeopleId()
    {
        return peopleId;
    }
    public void setGh(String gh)
    {
        this.gh = gh;
    }

    public String getGh()
    {
        return gh;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setJoinTime(Date joinTime)
    {
        this.joinTime = joinTime;
    }

    public Date getJoinTime()
    {
        return joinTime;
    }
    public void setYcqsj(Long ycqsj)
    {
        this.ycqsj = ycqsj;
    }

    public Long getYcqsj()
    {
        return ycqsj;
    }
    public void setSjcqsj(Long sjcqsj)
    {
        this.sjcqsj = sjcqsj;
    }

    public Long getSjcqsj()
    {
        return sjcqsj;
    }
    public void setBj(Double bj)
    {
        this.bj = bj;
    }

    public Double getBj()
    {
        return bj;
    }
    public void setSj(Double sj)
    {
        this.sj = sj;
    }

    public Double getSj()
    {
        return sj;
    }
    public void setTx(Double tx)
    {
        this.tx = tx;
    }

    public Double getTx()
    {
        return tx;
    }
    public void setNj(Double nj)
    {
        this.nj = nj;
    }

    public Double getNj()
    {
        return nj;
    }
    public void setHj(Double hj)
    {
        this.hj = hj;
    }

    public Double getHj()
    {
        return hj;
    }
    public void setPsjb(Long psjb)
    {
        this.psjb = psjb;
    }

    public Long getPsjb()
    {
        return psjb;
    }
    public void setZmjb(Long zmjb)
    {
        this.zmjb = zmjb;
    }

    public Long getZmjb()
    {
        return zmjb;
    }
    public void setJbts(Long jbts)
    {
        this.jbts = jbts;
    }

    public Long getJbts()
    {
        return jbts;
    }
    public void setCdfz(Long cdfz)
    {
        this.cdfz = cdfz;
    }

    public Long getCdfz()
    {
        return cdfz;
    }
    public void setZtfz(Long ztfz)
    {
        this.ztfz = ztfz;
    }

    public Long getZtfz()
    {
        return ztfz;
    }
    public void setBkcs(Long bkcs)
    {
        this.bkcs = bkcs;
    }

    public Long getBkcs()
    {
        return bkcs;
    }
    public void setHz(Double hz)
    {
        this.hz = hz;
    }

    public Double getHz()
    {
        return hz;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }

    public String getClassesName() {
        return classesName;
    }

    public void setClassesName(String classesName) {
        this.classesName = classesName;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getQkcs() {
        return qkcs;
    }

    public void setQkcs(Long qkcs) {
        this.qkcs = qkcs;
    }

    public Double getPcj() {
        return pcj;
    }

    public void setPcj(Double pcj) {
        this.pcj = pcj;
    }

    public Double getCj() {
        return cj;
    }

    public void setCj(Double cj) {
        this.cj = cj;
    }

    public Double getCc() {
        return cc;
    }

    public void setCc(Double cc) {
        this.cc = cc;
    }

    public Double getSanj() {
        return sanj;
    }

    public void setSanj(Double sanj) {
        this.sanj = sanj;
    }

    public Double getGs() {
        return gs;
    }

    public void setGs(Double gs) {
        this.gs = gs;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("groupId", getGroupId())
            .append("classesId", getClassesId())
            .append("branchId", getBranchId())
            .append("peopleId", getPeopleId())
            .append("gh", getGh())
            .append("name", getName())
            .append("joinTime", getJoinTime())
            .append("ycqsj", getYcqsj())
            .append("sjcqsj", getSjcqsj())
            .append("bj", getBj())
            .append("sj", getSj())
            .append("tx", getTx())
            .append("nj", getNj())
            .append("hj", getHj())
            .append("psjb", getPsjb())
            .append("zmjb", getZmjb())
            .append("jbts", getJbts())
            .append("cdfz", getCdfz())
            .append("ztfz", getZtfz())
            .append("bkcs", getBkcs())
            .append("hz", getHz())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .toString();
    }
}
